package jp.sourceforge.orangesignal.ta.result;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class DMITest {

	@Test
	public void values() {
		final DMI[] values = DMI.values();
		for (final DMI value : values) {
			switch (value) {
			case PLUS_DI: case MINUS_DI: case ADX: case ADX_R:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
